### Method

# Gio Subprocess get_term_sig

since: 2.40

#### Declaration

    gint
    g_subprocess_get_term_sig (
      GSubprocess* subprocess
    )

#### Description

Get the signal number that caused the subprocess to terminate, given that it terminated due to a signal.

This is equivalent to the system WTERMSIG macro.

It is an error to call this function before `g_subprocess_wait()` and unless `g_subprocess_get_if_signaled()` returned `TRUE`.

Available since: 2.40

#### Return value

Type: `gint`

The signal causing termination.